Bug 848353 - Review Request: python-pthreading - Re-implement threading.Lock, RLock and Condition with libpthread
Summary: Review Request: python-pthreading - Re-implement threading.Lock, RLock and Co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-15 11:13 UTC by Dan Kenigsberg
Modified: 2014-07-11 18:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-17 17:39:37 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
fedora-review result for python-pthreading (8.69 KB, text/plain)
2012-08-16 16:33 UTC, Pierre
no flags Details
fedora-review results for python-pthreading (84.69 KB, text/plain)
2012-08-20 09:56 UTC, Pierre
no flags Details

Description Dan Kenigsberg 2012-08-15 11:13:55 UTC
Spec URL: http://danken.fedorapeople.org/python-pthreading.spec
SRPM URL: http://danken.fedorapeople.org/python-pthreading-0.1.1-1.fc16.src.rpm

Description:
The pthreading module provides Lock and Condition synchronization
objects compatible with Python native threading module.
The implementation, however, is based on POSIX thread library as delivered
by the libpthread and has considerable performance benefits over Python 2.x's
implementation.

Fedora Account System Username: danken

f18 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4391920

Comment 1 Pierre 2012-08-16 16:30:57 UTC
The rm -rf $RPM_BUILD_ROOT in %install section and %clean section is useless 
The fsf adress in /usr/share/doc/python-pthreading-0.1.1/COPYING is incorrect you should report this error at the upstream .
For building your package you have use a patch file you should report your patch at the upstream :
rpmlint gave this error python-pthreading.src: W: file-size-mismatch pthreading-0.1.1.tar.gz = 3448, http://pypi.python.org/packages/source/p/pthreading/pthreading-0.1.1.tar.gz = 3449 and fedora-review print this warning :[!]: MUST Sources used to build the package match the upstream source, as
provided in the spec URL.
In the spec file there are some orthographic mistakes like this : 
spelling-error %description -l en_US performence -> performance, performer, performed .

Comment 2 Pierre 2012-08-16 16:33:14 UTC
Created attachment 604977 [details]
fedora-review result for python-pthreading

Comment 3 Dan Kenigsberg 2012-08-18 20:24:15 UTC
Pierre, thanks for your review. Would you give it another round?

http://danken.fedorapeople.org/python-pthreading-0.1.1-2.fc16.src.rpm
http://danken.fedorapeople.org/python-pthreading.spec

I've fixed the fsf address upstream.

Comment 4 Pierre 2012-08-20 09:54:18 UTC
There is some problems : 
patch1 name should prefixed with %{name}.
Buildroot is not needed for fedora packaging , you can remove this line .
%defattr (-,root,root,-) is useless 
In mock there is an error about the user daken does not exist because file permission are not set correctely (see https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions) you should correct this problem to ride of this error .

Comment 5 Pierre 2012-08-20 09:56:09 UTC
Created attachment 605647 [details]
fedora-review results for python-pthreading

Comment 6 Dan Kenigsberg 2012-08-20 20:27:33 UTC
I think that I have almost everything fixed in http://danken.fedorapeople.org/python-pthreading-0.1.1-3.fc16.src.rpm

I say "almost", because I do not know how can I fix the "attention: groupe danken inexistant - utilisation de root" issue without involving upstream (which is the one producing the tarball). Also, I'm fedora-review still complains about

[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (pthreading-0.1.1.tar.gz)

but again, the name of the tarball is an upstream decision.

I'm in good terms with upstream ;-) but I'd rather avoid having an upstream version just for these issues.

Comment 7 Mario Blättermann 2012-08-23 10:06:54 UTC
(In reply to comment #6)
> ... because I do not know how can I fix the "attention: groupe
> danken inexistant - utilisation de root" issue without involving upstream
> (which is the one producing the tarball).

No real problem. This hasn't to be fixed. It's just the message that the "danken" group of the original packager hasn't been found by Mock. Don't think about it.

> Also, I'm fedora-review still
> complains about
> 
> [!]: SHOULD SourceX / PatchY prefixed with %{name}.
>      Note: Source0 (pthreading-0.1.1.tar.gz)
> 
> but again, the name of the tarball is an upstream decision.

You don't have to change it in any case.


Sratch build of your latest srpm:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4416652


$ rpmlint -i -v *
python-pthreading.src: I: checking
python-pthreading.src: W: spelling-error Summary(en_US) libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.src: W: spelling-error %description -l en_US libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.src: W: spelling-error %description -l en_US x's -> X's, ex's, xi's
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.src: I: checking-url http://pypi.python.org/pypi/pthreading (timeout 10 seconds)
python-pthreading.src: I: checking-url http://pypi.python.org/packages/source/p/pthreading/pthreading-0.1.1.tar.gz (timeout 10 seconds)
python-pthreading.x86_64: I: checking
python-pthreading.x86_64: W: spelling-error Summary(en_US) libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.x86_64: W: spelling-error %description -l en_US libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.x86_64: W: spelling-error %description -l en_US x's -> X's, ex's, xi's
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.x86_64: I: checking-url http://pypi.python.org/pypi/pthreading (timeout 10 seconds)
python-pthreading.x86_64: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

python-pthreading.spec: I: checking-url http://pypi.python.org/packages/source/p/pthreading/pthreading-0.1.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 6 warnings.


Besides the "no binary" warning, no recognizable issues.


Please add "BuildArch: noarch" and the following header to your spec:

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Then, change %{python_sitearch}/ in the %files list to %{python_sitelib}/.

Comment 8 Dan Kenigsberg 2012-08-23 21:14:35 UTC
Thanks, Mario. Here's the noarch'ed srpm: http://danken.fedorapeople.org/python-pthreading-0.1.1-4.fc16.src.rpm

Comment 9 Mario Blättermann 2012-08-23 21:56:29 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4418485

$ rpmlint -i -v *
python-pthreading.src: I: checking
python-pthreading.src: W: spelling-error Summary(en_US) libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.src: W: spelling-error %description -l en_US libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.src: W: spelling-error %description -l en_US x's -> X's, ex's, xi's
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.src: I: checking-url http://pypi.python.org/pypi/pthreading (timeout 10 seconds)
python-pthreading.src: I: checking-url http://pypi.python.org/packages/source/p/pthreading/pthreading-0.1.1.tar.gz (timeout 10 seconds)
python-pthreading.noarch: I: checking
python-pthreading.noarch: W: spelling-error Summary(en_US) libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.noarch: W: spelling-error %description -l en_US libpthread -> threadlike
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.noarch: W: spelling-error %description -l en_US x's -> X's, ex's, xi's
The value of this tag appears to be misspelled. Please double-check.

python-pthreading.noarch: I: checking-url http://pypi.python.org/pypi/pthreading (timeout 10 seconds)

python-pthreading.spec: I: checking-url http://pypi.python.org/packages/source/p/pthreading/pthreading-0.1.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.


Some false positive spelling errors. No real issues so far.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    e857ea323c67ef1a2346d10c3fbfe706c528b7303f65ac1fc9500e289a49cc77  pthreading-0.1.1.tar.gz
    e857ea323c67ef1a2346d10c3fbfe706c528b7303f65ac1fc9500e289a49cc77  pthreading-0.1.1.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[.] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[.] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[.] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 10 Dan Kenigsberg 2012-08-24 20:16:47 UTC
New Package SCM Request
=======================
Package Name: python-pthreading
Short Description: Re-implement threading.Lock, RLock and Condition with libpthread
Owners: danken fsimonce
Branches: f17 f18 el6

Comment 11 Mario Blättermann 2012-08-25 18:55:53 UTC
I've reset fedora-cvs to "?" instead of "+". The latter will be set once the Git repo has been created.

Comment 12 Gwyn Ciesla 2012-08-27 01:48:46 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-08-27 06:38:32 UTC
python-pthreading-0.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pthreading-0.1.1-1.el6

Comment 14 Fedora Update System 2012-08-27 06:40:48 UTC
python-pthreading-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pthreading-0.1.1-1.fc17

Comment 15 Fedora Update System 2012-08-27 23:01:16 UTC
Package python-pthreading-0.1.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-pthreading-0.1.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12807/python-pthreading-0.1.1-1.fc17
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-09-13 19:04:42 UTC
python-pthreading-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-09-17 17:39:37 UTC
python-pthreading-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Douglas Schilling Landgraf 2014-07-11 17:19:28 UTC
New Package SCM Request
=======================
Package Name: python-pthreading
Short Description: Re-implement threading.Lock, RLock and Condition with libpthread
Owners: danken fsimonce dougsland bronhaim
Branches: epel7

Comment 19 Gwyn Ciesla 2014-07-11 18:26:12 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.